# Method: projects.locations.wasmPlugins.get

- [HTTP request](https://docs.cloud.google.com/service-extensions/docs/reference/rest/v1/projects.locations.wasmPlugins/get#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/service-extensions/docs/reference/rest/v1/projects.locations.wasmPlugins/get#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/service-extensions/docs/reference/rest/v1/projects.locations.wasmPlugins/get#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/service-extensions/docs/reference/rest/v1/projects.locations.wasmPlugins/get#body.request_body)
- [Response body](https://docs.cloud.google.com/service-extensions/docs/reference/rest/v1/projects.locations.wasmPlugins/get#body.response_body)
- [IAM Permissions](https://docs.cloud.google.com/service-extensions/docs/reference/rest/v1/projects.locations.wasmPlugins/get#body.aspect)
- [WasmPluginView](https://docs.cloud.google.com/service-extensions/docs/reference/rest/v1/projects.locations.wasmPlugins/get#WasmPluginView)

Gets details of the specified `WasmPlugin` resource.

### HTTP request

`GET https://networkservices.googleapis.com/v1/{name=projects/*/locations/*/wasmPlugins/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. A name of the `WasmPlugin` resource to get. Must be in the format `projects/{project}/locations/global/wasmPlugins/{wasmPlugin}`. Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `name`: - `networkservices.wasmPlugins.get` |

### Query parameters

| Parameters ||
|---|---|
| `view` | ``enum (`https://docs.cloud.google.com/service-extensions/docs/reference/rest/v1/projects.locations.wasmPlugins/get#WasmPluginView`)`` Determines how much data must be returned in the response. See [AIP-157](https://google.aip.dev/157). |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/service-extensions/docs/reference/rest/v1/projects.locations.wasmPlugins#WasmPlugin`.

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `name` resource:

- `networkservices.wasmPlugins.get`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).

## WasmPluginView

Determines the information that should be returned by the server.

| Enums ||
|---|---|
| `WASM_PLUGIN_VIEW_UNSPECIFIED` | Unspecified value. Do not use. |
| `WASM_PLUGIN_VIEW_BASIC` | If specified in the `GET` request for a `WasmPlugin` resource, the server's response includes just the `WasmPlugin` resource. |
| `WASM_PLUGIN_VIEW_FULL` | If specified in the `GET` request for a `WasmPlugin` resource, the server's response includes the `WasmPlugin` resource with all its versions. |